Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(34)

Issue 2525563005: VEA unittest: add a test case for cache line-alignment (Closed)

Created:
3 years, 8 months ago by hywu
Modified:
3 years, 8 months ago
Reviewers:
Owen Lin, wuchengli, hywu1
CC:
chromium-reviews, posciak+watch_chromium.org, piman+watch_chromium.org, feature-media-reviews_chromium.org, henryhsu, Pawel Osciak
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

VEA unittest: add a test case for cache line-alignment Linux refuses to accept buffers that have sizes ualigned to CPU cache line, which can be 128 bytes on certain devices. This test inputs a frame that has unaligned size of U and V planes to catch such errors. BUG=664039 TEST=Run VEA unittest on Kevin. CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:linux_optional_gpu_tests_rel;master.tryserver.chromium.mac:mac_optional_gpu_tests_rel;master.tryserver.chromium.win:win_optional_gpu_tests_rel Committed: https://crrev.com/62f3a0edf9c5e19da3e59a6b2f5c402895b1805a Committed: https://crrev.com/bf4e9d86a27ed1604fbc227209381d529b679fa6 Cr-Original-Commit-Position: refs/heads/master@{#435179} Cr-Commit-Position: refs/heads/master@{#435566}

Patch Set 1 #

Patch Set 2 : VEA unittest: add a test case for cache line-alignment #

Patch Set 3 : VEA unittest: add a test case for cache line-alignment #

Total comments: 6

Patch Set 4 : VEA unittest: add a test case for cache line-alignment #

Total comments: 18

Patch Set 5 : VEA unittest: add a test case for cache line-alignment #

Total comments: 10

Patch Set 6 : VEA unittest: add a test case for cache line-alignment #

Total comments: 4

Patch Set 7 : VEA unittest: add a test case for cache line-alignment #

Patch Set 8 : VEA unittest: add a test case for cache line-alignment #

Patch Set 9 : VEA unittest: add a test case for cache line-alignment #

Unified diffs Side-by-side diffs Delta from patch set Stats (+235 lines, -111 lines) Patch
M media/gpu/video_encode_accelerator_unittest.cc View 1 2 3 4 5 6 7 8 16 chunks +235 lines, -111 lines 0 comments Download

Messages

Total messages: 52 (33 generated)
hywu1
3 years, 8 months ago (2016-11-23 08:12:51 UTC) #3
wuchengli
Henry and Owen. Please help review this.
3 years, 8 months ago (2016-11-23 08:34:46 UTC) #5
wuchengli
https://codereview.chromium.org/2525563005/diff/40001/media/gpu/video_encode_accelerator_unittest.cc File media/gpu/video_encode_accelerator_unittest.cc (right): https://codereview.chromium.org/2525563005/diff/40001/media/gpu/video_encode_accelerator_unittest.cc#newcode1764 media/gpu/video_encode_accelerator_unittest.cc:1764: class VEANoInputClient : public VideoEncodeAccelerator::Client { There are some ...
3 years, 8 months ago (2016-11-23 14:43:33 UTC) #6
Owen Lin
https://codereview.chromium.org/2525563005/diff/40001/media/gpu/video_encode_accelerator_unittest.cc File media/gpu/video_encode_accelerator_unittest.cc (right): https://codereview.chromium.org/2525563005/diff/40001/media/gpu/video_encode_accelerator_unittest.cc#newcode1765 media/gpu/video_encode_accelerator_unittest.cc:1765: public: Did you change the code here on purpose? ...
3 years, 8 months ago (2016-11-24 03:00:52 UTC) #7
hywu1
https://codereview.chromium.org/2525563005/diff/40001/media/gpu/video_encode_accelerator_unittest.cc File media/gpu/video_encode_accelerator_unittest.cc (right): https://codereview.chromium.org/2525563005/diff/40001/media/gpu/video_encode_accelerator_unittest.cc#newcode1764 media/gpu/video_encode_accelerator_unittest.cc:1764: class VEANoInputClient : public VideoEncodeAccelerator::Client { On 2016/11/23 14:43:33, ...
3 years, 8 months ago (2016-11-24 06:01:29 UTC) #8
wuchengli
https://codereview.chromium.org/2525563005/diff/60001/media/gpu/video_encode_accelerator_unittest.cc File media/gpu/video_encode_accelerator_unittest.cc (right): https://codereview.chromium.org/2525563005/diff/60001/media/gpu/video_encode_accelerator_unittest.cc#newcode895 media/gpu/video_encode_accelerator_unittest.cc:895: // Used to notify another thread about the state. ...
3 years, 8 months ago (2016-11-28 04:54:42 UTC) #10
hywu1
https://codereview.chromium.org/2525563005/diff/60001/media/gpu/video_encode_accelerator_unittest.cc File media/gpu/video_encode_accelerator_unittest.cc (right): https://codereview.chromium.org/2525563005/diff/60001/media/gpu/video_encode_accelerator_unittest.cc#newcode895 media/gpu/video_encode_accelerator_unittest.cc:895: // Used to notify another thread about the state. ...
3 years, 8 months ago (2016-11-29 05:47:07 UTC) #12
wuchengli
https://codereview.chromium.org/2525563005/diff/80001/media/gpu/video_encode_accelerator_unittest.cc File media/gpu/video_encode_accelerator_unittest.cc (right): https://codereview.chromium.org/2525563005/diff/80001/media/gpu/video_encode_accelerator_unittest.cc#newcode878 media/gpu/video_encode_accelerator_unittest.cc:878: // Base class for VEAClient's s/VEAClient's/all VEA clients in ...
3 years, 8 months ago (2016-11-29 07:14:47 UTC) #13
hywu1
https://codereview.chromium.org/2525563005/diff/80001/media/gpu/video_encode_accelerator_unittest.cc File media/gpu/video_encode_accelerator_unittest.cc (right): https://codereview.chromium.org/2525563005/diff/80001/media/gpu/video_encode_accelerator_unittest.cc#newcode878 media/gpu/video_encode_accelerator_unittest.cc:878: // Base class for VEAClient's On 2016/11/29 07:14:47, wuchengli ...
3 years, 8 months ago (2016-11-29 08:42:23 UTC) #14
wuchengli
lgtm https://codereview.chromium.org/2525563005/diff/100001/media/gpu/video_encode_accelerator_unittest.cc File media/gpu/video_encode_accelerator_unittest.cc (right): https://codereview.chromium.org/2525563005/diff/100001/media/gpu/video_encode_accelerator_unittest.cc#newcode882 media/gpu/video_encode_accelerator_unittest.cc:882: LOG(INFO) << "VEAClientBase destructor"; This log is not ...
3 years, 8 months ago (2016-11-30 04:23:41 UTC) #15
hywu1
https://codereview.chromium.org/2525563005/diff/100001/media/gpu/video_encode_accelerator_unittest.cc File media/gpu/video_encode_accelerator_unittest.cc (right): https://codereview.chromium.org/2525563005/diff/100001/media/gpu/video_encode_accelerator_unittest.cc#newcode882 media/gpu/video_encode_accelerator_unittest.cc:882: LOG(INFO) << "VEAClientBase destructor"; On 2016/11/30 04:23:40, wuchengli wrote: ...
3 years, 8 months ago (2016-11-30 07:06:25 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2525563005/140001
3 years, 8 months ago (2016-11-30 08:44:09 UTC) #27
commit-bot: I haz the power
Committed patchset #8 (id:140001)
3 years, 8 months ago (2016-11-30 08:49:24 UTC) #30
commit-bot: I haz the power
Patchset 8 (id:??) landed as https://crrev.com/62f3a0edf9c5e19da3e59a6b2f5c402895b1805a Cr-Commit-Position: refs/heads/master@{#435179}
3 years, 8 months ago (2016-11-30 08:53:10 UTC) #32
battre
A revert of this CL (patchset #8 id:140001) has been created in https://codereview.chromium.org/2542533003/ by battre@chromium.org. ...
3 years, 8 months ago (2016-11-30 09:35:10 UTC) #33
findit-for-me
FYI: Findit identified this CL at revision 435179 as the culprit for failures in the ...
3 years, 8 months ago (2016-11-30 09:38:58 UTC) #34
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2525563005/160001
3 years, 8 months ago (2016-12-01 06:35:54 UTC) #47
commit-bot: I haz the power
Committed patchset #9 (id:160001)
3 years, 8 months ago (2016-12-01 06:39:58 UTC) #50
commit-bot: I haz the power
3 years, 8 months ago (2016-12-01 06:42:46 UTC) #52
Message was sent while issue was closed.
Patchset 9 (id:??) landed as
https://crrev.com/bf4e9d86a27ed1604fbc227209381d529b679fa6
Cr-Commit-Position: refs/heads/master@{#435566}

Powered by Google App Engine
This is Rietveld 408576698